#![cfg_attr(not(feature = "std"), no_std)]
#![cfg_attr(feature = "nightly", feature(strict_provenance_atomic_ptr))]

#[cfg(any(test, feature = "std", feature = "alloc"))]
extern crate alloc;

#[cfg(any(test, feature = "std"))]
extern crate std;

pub mod atomic;
pub mod cachepadded;
pub mod drop_guard;
pub mod ptr;
pub mod rand;
#[cfg(feature = "alloc")]
pub mod smallbox;
pub mod sync;
pub mod util;

pub use cachepadded::CachePadded;
pub use util::can_transmute;
